All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::convert::converter Class Referenceabstract

A conversion class that implements a conversion from inputs -> outputs. More...

`#include <convert.hpp>`

## Public Types

typedef boost::shared_ptr < converter > | sptr
typedef uhd::ref_vector< void * > | output_type
typedef uhd::ref_vector< const void * > | input_type

## Public Member Functions

virtual void | set_scalar (const double)=0
| Set the scale factor (used in floating point conversions) More...
UHD_INLINE void | conv (const input_type &in, const output_type &out, const size_t num)
| The public conversion method to convert inputs -> outputs. More...

## Detailed Description

A conversion class that implements a conversion from inputs -> outputs.

## Member Typedef Documentation

typedef uhd::ref_vector<const void *> uhd::convert::converter::input_type

typedef uhd::ref_vector<void *> uhd::convert::converter::output_type

typedef boost::shared_ptr<converter> uhd::convert::converter::sptr

## Member Function Documentation

UHD_INLINE void uhd::convert::converter::conv | ( | const input_type & | in,
|  | const output_type & | out,
|  | const size_t | num
| ) |  |

inline

The public conversion method to convert inputs -> outputs.

virtual void uhd::convert::converter::set_scalar | ( | const double |  | ) |

pure virtual

Set the scale factor (used in floating point conversions)

The documentation for this class was generated from the following file:

- include/uhd/convert.hpp